### Method

# Hitaki AlsaFirewire lock

#### Declaration [src]

    gboolean
    hitaki_alsa_firewire_lock (
      HitakiAlsaFirewire* self
      GError** error
    )

#### Description [src]

Lock kernel driver bound to the associated ALSA HwDep character device so that it is prohibited to start packet streaming.

#### Return value

Type: `gboolean`

TRUE if the overall operation finished successfully, else FALSE.